org.bouncycastle.jce.provider

## Class JCEKeyGenerator.DESede

- java.lang.Object
- - javax.crypto.KeyGeneratorSpi
  - - org.bouncycastle.jce.provider.JCEKeyGenerator
    - - org.bouncycastle.jce.provider.JCEKeyGenerator.DESede

Enclosing class:
  JCEKeyGenerator

    public static class JCEKeyGenerator.DESede
    extends JCEKeyGenerator

DESede - the default for this is to generate a key in a-b-a format that's 24 bytes long but has 16 bytes of key material (the first 8 bytes is repeated as the last 8 bytes). If you give it a size, you'll get just what you asked for.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.JCEKeyGenerator

`JCEKeyGenerator.Blowfish, JCEKeyGenerator.CAST6, JCEKeyGenerator.DES, JCEKeyGenerator.DESede, JCEKeyGenerator.DESede3, JCEKeyGenerator.GOST28147, JCEKeyGenerator.HC128, JCEKeyGenerator.HC256, JCEKeyGenerator.HMACSHA1, JCEKeyGenerator.HMACSHA224, JCEKeyGenerator.HMACSHA256, JCEKeyGenerator.HMACSHA384, JCEKeyGenerator.HMACSHA512, JCEKeyGenerator.HMACTIGER, JCEKeyGenerator.MD2HMAC, JCEKeyGenerator.MD4HMAC, JCEKeyGenerator.MD5HMAC, JCEKeyGenerator.RC2, JCEKeyGenerator.RC4, JCEKeyGenerator.RC5, JCEKeyGenerator.RC564, JCEKeyGenerator.RC6, JCEKeyGenerator.Rijndael, JCEKeyGenerator.RIPEMD128HMAC, JCEKeyGenerator.RIPEMD160HMAC, JCEKeyGenerator.Salsa20, JCEKeyGenerator.Serpent, JCEKeyGenerator.Skipjack, JCEKeyGenerator.TEA, JCEKeyGenerator.Twofish, JCEKeyGenerator.VMPC, JCEKeyGenerator.VMPCKSA3, JCEKeyGenerator.XTEA`

### Field Summary

### Fields inherited from class org.bouncycastle.jce.provider.JCEKeyGenerator

`algName, defaultKeySize, engine, keySize, uninitialised`

### Constructor Summary

Constructors
Constructor and Description
`JCEKeyGenerator.DESede()`

### Method Summary

Methods
`protected javax.crypto.SecretKey` `engineGenerateKey()`
`protected void` `engineInit(int keySize, java.security.SecureRandom random)`

### Methods inherited from class org.bouncycastle.jce.provider.JCEKeyGenerator

`engineInit, engineInit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JCEKeyGenerator.DESede

    public JCEKeyGenerator.DESede()

### Method Detail

#### engineInit

    protected void engineInit(int keySize,
                  java.security.SecureRandom random)

Overrides:
  `engineInit` in class `JCEKeyGenerator`

#### engineGenerateKey

    protected javax.crypto.SecretKey engineGenerateKey()

Overrides:
  `engineGenerateKey` in class `JCEKeyGenerator`